<link rel="stylesheet" href="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/css/bootstrap-datepicker.standalone.min.css">
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap-datepicker/locales/bootstrap-datepicker.zh-CN.min.js"></script>

    <div class="content_wrapper">
    	<div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>查询</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <form class="form-inline" role="form" method="POST" action="#statistics/attackChanceSta" name="stanpform">
                                        <span class="gap"></span>
                                        <div class="form-group">
                                                <label>开始时间</label>
                                                <input type="text" class="form-control datetimepicker" value="<?php if($stime) echo $stime;?>" placeholder="开始时间" name="stime" />
                                        </div>
                                        <span class="gap"></span>
                                        <div class="form-group">
                                                <label>结束时间</label>
                                                <input type="text" class="form-control datetimepicker" value="<?php if($etime) echo $etime;?>" placeholder="结束时间" name="etime" />
                                        </div>
                                        <button type="submit" class="btn btn-primary">查询</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>打概率统计</header>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                            </div>
                            <button type="button" class="btn btn-primary" id="all_checked1">全选</button>
                            <button type="button" class="btn btn-primary" id="all_no_checked1">全不选</button>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>
</div>
</div>
<!--<script type="text/javascript" src="--><?php //echo base_url().'public/js/chart/chart.js';?><!--"></script>-->
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/exporting.js"></script>
<script type="text/javascript" src="<?php echo base_url();?>public/js/highcharts/modules/export-data.js"></script>
<script type="text/javascript">

//设置图表导出格式选项
Highcharts.setOptions({
    lang: {
        printChart: '打印图表',
        downloadJPEG: '下载 JPEG 文件',
        downloadPDF: '下载 PDF   文件',
        downloadPNG: '下载 PNG  文件',
        downloadSVG: '下载 SVG  文件',
        downloadCSV: '下载 CSV  文件',
        downloadXLS: '下载 XLS   文件',
        viewData: '查看数据表格'
    },
    navigation: {
        menuItemStyle: {
            padding: '6px 14px'
        }
    },
    exporting: {
        url: ''
    },
    credits: {
        text: '',
        url: ''
    }
});

    var chart1 = Highcharts.chart('container', {
        chart: {
            type: 'line'
        },
        title: {
            text: '打概率统计'
        },
        subtitle: {
            text: ''
        },
        xAxis: {
            categories: [<?php echo "'".implode("','", $date)."'";?>]
        },
        yAxis: [{ // Primary yAxis
            labels: {
                format: '{value}',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            title: {
                text: '数值',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            }
        }, { // Secondary yAxis
            title: {
                text: '百分比',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            labels: {
                format: '{value} %',
                style: {
                    color: Highcharts.getOptions().colors[1]
                }
            },
            opposite: true
        }],
        plotOptions: {
            line: {
                dataLabels: {
                    enabled: true
                },
                enableMouseTracking: false
            }
        },
        series: [{
            name: '击中率',
            //visible: false,
            yAxis: 1,
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackSun']) || empty($data[$day]['attackTotal']) || empty($data[$day]['attackCui'])){
            			echo "0,";
            		}else{
            			echo (round(($data[$day]['attackSun'] + $data[$day]['attackCui']) / $data[$day]['attackTotal'],4) * 100).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '损坏率',
            //visible: false,
            yAxis: 1,
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackSun']) || empty($data[$day]['attackTotal'])){

            			echo "0,";
            		}else{
            			echo (round(($data[$day]['attackSun'] + $data[$day]['attackCui']) / $data[$day]['attackTotal'],4) * 100).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '摧毁率',
            //visible: false,
            yAxis: 1,
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackCui']) || empty($data[$day]['attackTotal'])){
            			echo "0,";
            		}else{
            			echo (round($data[$day]['attackCui'] / $data[$day]['attackTotal'],4) * 100).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '岛被打光率',
            //visible: false,
            yAxis: 1,
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackOver']) || empty($data[$day]['attackTotal'])){
            			echo "0,";
            		}else{
            			echo (round($data[$day]['attackOver'] / $data[$day]['attackTotal'],4) * 100).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '打到盾概率',
            yAxis: 1,
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackShield']) || empty($data[$day]['attackTotal'])){
            			echo "0,";
            		}else{
            			echo (round($data[$day]['attackShield'] / $data[$day]['attackTotal'],4) * 100).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '打盾次数',
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackShield'])){
            			echo "0,";
            		}else{
            			echo ($data[$day]['attackShield']).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '盾转体力数',
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['spins'])){
            			echo "0,";
            		}else{
            			echo ($data[$day]['spins']).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '损毁建筑次数',
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackSun'])){
            			echo "0,";
            		}else{
            			echo ($data[$day]['attackSun']).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '摧毁建筑次数',
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['attackCui'])){
            			echo "0,";
            		}else{
            			echo ($data[$day]['attackCui']).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '转到盾数量(真实盾)',
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['shield'])){
            			echo "0,";
            		}else{
            			echo ($data[$day]['shield']).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '炮盾比',
            yAxis: 1,
            data: [<?php 
            	foreach($date as $day){
            		if(empty($data[$day]['shield']) || empty($data[$day]['attackTotal'])){
            			echo "0,";
            		}else{
            			echo (round($data[$day]['attackTotal'] / $data[$day]['shield'],4)).",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        },{
            name: '盾消耗和盾新增的比',
            yAxis: 1,
            data: [<?php
            	foreach($date as $day){
            		if(empty($data[$day]['shield']) || empty($data[$day]['attackShield'])){
            			echo "0,";
            		}else{
            			echo round( $data[$day]['attackShield'] / $data[$day]['shield'] , 4) .",";
            		}
            	}
            ?>],
            tooltip: {
                valueSuffix: '%'
            }
        }]
    });

	$(document).on("click","#all_checked1",function(){
    	$(".highcharts-legend-item").each(function(index){
    		chart1.series[index].show();//显示
    	})
    })
    $(document).on("click","#all_no_checked1",function(){
    	$(".highcharts-legend-item").each(function(index){
    		chart1.series[index].hide();//隐藏
    	})
    })
    
	//选择日期
    $('.datetimepicker').datepicker({
        language:'zh-CN',
        format:'yyyy-mm-dd',
        zIndexOffset:906  //控制z-index
    });
</script>